--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
constants: []

full_name: SqlTestCase
includes: 
- !ruby/object:RI::IncludedModule 
  name: SqlParser
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: testAndOrNot
- !ruby/object:RI::MethodSummary 
  name: testExpressionWithBool
- !ruby/object:RI::MethodSummary 
  name: testExpressionWithWildcard
- !ruby/object:RI::MethodSummary 
  name: testRelationWithBetween
- !ruby/object:RI::MethodSummary 
  name: testRelationWithCompoundPredicateInWhereClause
- !ruby/object:RI::MethodSummary 
  name: testRelationWithExists
- !ruby/object:RI::MethodSummary 
  name: testRelationWithGroupByWithHaving
- !ruby/object:RI::MethodSummary 
  name: testRelationWithGroupByWithoutHaving
- !ruby/object:RI::MethodSummary 
  name: testRelationWithGroupCompare
- !ruby/object:RI::MethodSummary 
  name: testRelationWithIn
- !ruby/object:RI::MethodSummary 
  name: testRelationWithInRelation
- !ruby/object:RI::MethodSummary 
  name: testRelationWithMultiJoins
- !ruby/object:RI::MethodSummary 
  name: testRelationWithNotBetween
- !ruby/object:RI::MethodSummary 
  name: testRelationWithNotIn
- !ruby/object:RI::MethodSummary 
  name: testRelationWithNotInRelation
- !ruby/object:RI::MethodSummary 
  name: testRelationWithNotInRelationAndAmbiguousSubRelation
- !ruby/object:RI::MethodSummary 
  name: testRelationWithOrderBy
- !ruby/object:RI::MethodSummary 
  name: testRelationWithOrderByAndLimit
- !ruby/object:RI::MethodSummary 
  name: testRelationWithSimpleJoin
- !ruby/object:RI::MethodSummary 
  name: testRelationWithWhere
- !ruby/object:RI::MethodSummary 
  name: testRelationWithWhereAndDistinct
- !ruby/object:RI::MethodSummary 
  name: testSimpleExpression
- !ruby/object:RI::MethodSummary 
  name: testSimpleRelation
- !ruby/object:RI::MethodSummary 
  name: testSimpleRelationWithAlias
- !ruby/object:RI::MethodSummary 
  name: testSimpleRelationWithQuotedName
- !ruby/object:RI::MethodSummary 
  name: testSimpleRelationWithStringLiteral
- !ruby/object:RI::MethodSummary 
  name: testSimpleRelationWithVar
- !ruby/object:RI::MethodSummary 
  name: testSubRelation
- !ruby/object:RI::MethodSummary 
  name: testSubRelationWithAlias
- !ruby/object:RI::MethodSummary 
  name: testUnion
- !ruby/object:RI::MethodSummary 
  name: verify_predicate
- !ruby/object:RI::MethodSummary 
  name: verify_relation
- !ruby/object:RI::MethodSummary 
  name: verify_sql
name: SqlTestCase
superclass: ParserTestCase
